-- local colors_citylight = {
--   black = "#1f252b",
--   white = "#b7c5d3",
--   red = "#e27e8d",
--   green = "#54af83",
--   blue = "#68a1f0",
--   yellow = "#ebda65",
--   grey = "#718ca1",
--   darkgrey = "#41505e",
--   aqua = "#9effff",
--   orange = "#ebbf83",
--   sage = "#008b94",
--   steel = "#718ca1",
--   teal = "#70e1e8",
--   azure = "#5ec4ff",
--   errorRed = "#f88070",
--   successGreen = "#8bd49c",
-- }

return {
  { "rebelot/kanagawa.nvim" },
  { "rktjmp/lush.nvim" },
  { "kvrohit/rasmus.nvim" },
  { "ntk148v/komau.vim" },
  { "ray-x/aurora" },
  { "nyoom-engineering/oxocarbon.nvim" },
  {
    "catppuccin/nvim",
    name = "catppuccin",
    priority = 1000,
    config = function()
      local catppuccin = require("catppuccin")
      catppuccin.setup({
        transparent_background = true,
        italic = true,
        altfont = true,
        styles = {
          comments = { "italic" }, -- Change the style of comments
          conditionals = { "italic" },
          loops = {},
          functions = { "altfont", "italic" },
          keywords = {},
          strings = { "italic" },
          variables = {},
          numbers = {},
          booleans = { "altfont", "bold" },
          properties = {},
          types = {},
          operators = {},
        },
        color_overrides = {},
      })
    end,
  },
  {
    "folke/styler.nvim",
    config = function()
      require("styler").setup({
        themes = {
          markdown = { colorscheme = "komau" },
          help = { colorscheme = "catppuccin-mocha", background = "dark" },
          elixir = { colorscheme = "catppuccin-mocha" },
          lua = { colorscheme = "catppuccin-mocha" },
          org = { colorscheme = "catppuccin-frappe" },
        },
      })
    end,
  },
}
